/*
 * Copyright (C) 2005 NTT DATA Corporation
 * 
 */
package org.postgresforest.tool.dialog.adddb;

import java.util.List;

import org.eclipse.jface.viewers.IStructuredContentProvider;
import org.eclipse.jface.viewers.Viewer;


/**
 * TODO To change the template for this generated type comment go to
 * Window - Preferences - Java - Code Style - Code Templates
 */
public class AddDbContentProvider implements IStructuredContentProvider {
	
	public Object[] getElements(Object inputElement) {
		return ((List)inputElement).toArray();
	}
	
	public void dispose() {
	}
	
	public void inputChanged(Viewer viewer,
			Object oldInput, Object newInput) {
	}
}
